# Impressive Strawberry

_Achievements-as-a-service_

## About

Impressive Strawberry is a Web API that allows the consumer applications to manage user-unlockable achievements, and for external applications to unlock them
for the users, notifying them in the process.

## Development

### Design document

The design document was made [on FigJam](https://www.figma.com/file/8J7exqW3srh0WNiICHnf0O/Medals?node-id=0%3A1).

### Documentation

Documentation is made available [via GitHub Pages](https://hub.ryg.one/impressive-strawberry/).

### Tasks

Tasks to be done are published [on GitHub Issues](https://github.com/RYGhub/impressive-strawberry/issues).

If you **find a bug**, a **mistake**, or want to **suggest a new feature**,
please [create a new issue](https://github.com/RYGhub/impressive-strawberry/issues/new)!

### Pull requests

Feel free to fork the project and continue developing it, but remember to [respect the AGPL 3.0+ license](LICENSE.txt)!

If you want to contribute back to the main branch, please [open a new pull request](https://github.com/RYGhub/impressive-strawberry/pulls)!

### Discussion

A forum about the project is available [on GitHub Discussions](https://github.com/RYGhub/impressive-strawberry/discussions).

If you want to **talk about the project**, or **ask a question** or even **help**,
please [create a new discussion](https://github.com/RYGhub/impressive-strawberry/discussions/new)!

### CI / CD

CI and CD for this project is hosted [on GitHub Actions](https://github.com/RYGhub/impressive-strawberry/actions).

[![🔨 Steffo's Python Poetry Workflow](https://github.com/RYGhub/impressive-strawberry/actions/workflows/stefflow.yml/badge.svg)](https://github.com/RYGhub/impressive-strawberry/actions/workflows/stefflow.yml)

#### Jobs

- _Tests_ are run **on every push** and **on every pull request**.
- _CodeQL_ is run **every monday at 10:10 AM**.
- _Build and publish_ are run **on every release**.

All jobs can be triggered simultaneously by pressing the **Run Workflow**
button [on the Workflow page](https://github.com/RYGhub/impressive-strawberry/actions/workflows/stefflow.yml).

### Roadmap

The roadmap is published [on GitHub Projects](https://github.com/orgs/RYGhub/projects/1/views/1).

### Security

Please report security vulnerabilities via email at `security@steffo.eu`.
